Bug 277214 - Amarok cover finder doesn't show cover thumbnails for covers from Google
Summary: Amarok cover finder doesn't show cover thumbnails for covers from Google
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Tools/Cover Manager (show other bugs)
Version: 2.4-GIT
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 2.4.2
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-06 17:23 UTC by Nikita Krupenko
Modified: 2011-07-28 14:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments
Blank thumbnails in search results (43.52 KB, image/png)
2011-07-06 17:23 UTC, Nikita Krupenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Krupenko 2011-07-06 17:23:21 UTC
Created attachment 61649 [details]
Blank thumbnails in search results

Version:           2.4-GIT (using KDE 4.6.3) 
OS:                Linux

Seems like something changed in the Google's image search. Now, Amarok show blank thumbnails for results from Google, see screenshot.

Reproducible: Always

Steps to Reproduce:
Use cover finder and select Google as source

Actual Results:  
Results has blank thumbnails.

Expected Results:  
Results should has normal thumbnails.
Comment 1 Rick W. Chen 2011-07-06 23:03:48 UTC
Which commit is your build based on?

I committed 44e5ea01464f05082a64074291a6702973189a4d which should have fixed the problem.
Comment 2 Nikita Krupenko 2011-07-07 17:00:24 UTC
My version is built from 026ddecb3fa5dc768d085fbe5c475aa2439a8b3f.
I know, that there was another problem with no covers at all from Google, that was fixed recently. That's why I've moved to version from git. At first time all was working fine, but now the problem described in this report arised.
Comment 3 Myriam Schweingruber 2011-07-18 07:13:52 UTC
Setting status correctly.

Can somebody test this, please?
Comment 4 Rick W. Chen 2011-07-23 00:57:43 UTC
confirmed at friends house ...
Comment 5 Andreas Kuhl 2011-07-26 11:33:44 UTC
Not working for me, too (recent GIT).
Comment 6 Rick W. Chen 2011-07-28 05:39:52 UTC
Git commit 716c86de85801a8d36a922031f5cd6a7365320b7 by Rick W. Chen.
Committed on 23/07/2011 at 03:56.
Pushed by rickc into branch 'master'.

Fix google cover fetch again

BUG: 277214

M  +1    -1    src/covermanager/CoverFetchUnit.cpp

http://commits.kde.org/amarok/716c86de85801a8d36a922031f5cd6a7365320b7